Create loan product [Beta]post https://sandbox.pismolabs.io/lending/v2/loan-productsCreate loan product.Body ParamsRequest body.program_idint64requiredProgram IDproduct_typestringenumrequiredDefaults to BNPLLoan product typeBNPLAllowed:BNPLcollateralstringenumrequiredCollateralNONESINGLECOLLATERAL_MULTIPLEAllowed:NONESINGLECOLLATERAL_MULTIPLEloan_activation_methodstringenumIndicate when the system changes a loan to active status. Default is ON_DISBURSEMENT_OR_REPAYMENT. If disbursement method type is NONE, you cannot set to ON_DISBURSEMENT, and if set to ON_DISBURSEMENT_OR_REPAYMENT the system changes the loan status on repayment.ON_BOOKINGON_BOOKINGON_DISBURSEMENTON_DISBURSEMENT_OR_REPAYMENTON_REPAYMENTAllowed:ON_BOOKINGON_DISBURSEMENTON_DISBURSEMENT_OR_REPAYMENTON_REPAYMENTcurrencyint32required0 to 999ISO 4217 currency codedisbursement_methodobjectrequiredDisbursement methoddisbursement_method objectproduct_namestringrequiredlength ≤ 256Open text that describes the productproduct_idstringlength ≤ 80Loan product ID. Accepts either a lowercase UUID (e.g., "2717a296-124a-47cc-b2a1-91e80dc723eb") or an uppercase alphanumeric string with underscores (e.g., "MY_LOAN_PRODUCT_001"). If not provided during creation, a UUID is auto-generated.processing_codesobjectrequiredDefine processing codes for each operation during the loan lifecycle.processing_codes objectrepayment_calculation_methodstringenumDefaults to RATESMethod used to calculate the repayment amountRATESAllowed:RATESinterest_plan_idsarray of uuidsList of interest plan identifiersinterest_plan_idsADD uuidearly_final_settlementobjectDefine some early settlement requirements.early_final_settlement objectprepaymentobjectDefines some prepayment requirements.prepayment objectrepayment_hierarchy_codestringlength between 1 and 80Repayment hierarchy code. Must be normalized (Unicode NFC), and may contain a UUID, or uppercase letters, numbers, and underscore.parametersobjectLoan product V2 parametersparameters objectHeadersidempotency-keyuuidIdempotency keyResponses 201Loan Product created. 202Duplicated request identified by Idempotency key. 400A validation error occurred. 500Internal Server ErrorUpdated 19 days ago